Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class MessageRedeliverer

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.MessagePersister
                  org.jboss.soa.esb.actions.MessageRedeliverer

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

    public class MessageRedeliverer

extends MessagePersister

Field Summary
`static java.lang.String` | `MAX_REDELIVER_ATTR`
`protected java.lang.Integer` | `maxRedeliver`
`protected RedeliverStore` | `redeliverStore`

Fields inherited from class org.jboss.soa.esb.actions.MessagePersister
`classification, CLASSIFICATION_ATTR, config, MESSAGE_STORE_CLASS, messageStore, terminal, TERMINAL`

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`MessageRedeliverer(ConfigTree config)`

Method Summary
`void` | `initialise()` Initialise the action instance.
`Message` | `process(Message message)` Persists the message to the MessageStore.

Methods inherited from class org.jboss.soa.esb.actions.MessagePersister
`destroy, getMessage, getMessages, removeMessage`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_REDELIVER_ATTR

    public static final java.lang.String MAX_REDELIVER_ATTR

See Also:
  Constant Field Values

### redeliverStore

    protected RedeliverStore redeliverStore

### maxRedeliver

    protected java.lang.Integer maxRedeliver

Constructor Detail

### MessageRedeliverer

    public MessageRedeliverer(ConfigTree config)
                       throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Description copied from class: `AbstractActionLifecycle`
  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Overrides:
    `initialise` in class `MessagePersister`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Description copied from class: `MessagePersister`
  Persists the message to the MessageStore.

  Specified by:
    `process` in interface `ActionPipelineProcessor`
  Overrides:
    `process` in class `MessagePersister`
  Parameters:
    `message` - The current message being processed.
  Returns:
    if this is a terminal action then `null` otherwise the original input message.
  Throws:
    `ActionProcessingException` - for errors during processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD